@import "~sass-material-colors";

.cmp-landing-contacts-general {
  .layout {
    .layout-address {
      padding: 24px;
      border-bottom: 1px solid #cccccc;
      text-align: center;
    }

    .media {
      display: flex;

      .media-icon {
        width: 72px;
        flex-shrink: 0;

        font-size: 32px;
        text-align: center;

        margin-top: 20px;
      }

      .media-content {
        width: 100%;
      }
    }

    .layout-columns {
      display: flex;
      justify-content: space-between;

      h1 {
        font-family: "Futura PT Book", sans-serif;
        font-size: 24px;
        font-weight: normal;
      }

      p, li, a {
        font-family: "Futura PT Book", sans-serif;
        font-size: 20px;
        font-weight: 400;
        color: #999999;
        text-decoration: none;
      }

      a:hover, a:active {
        color: material-color("blue-grey", "500");
      }

      .column {
        flex-shrink: 0;
        width: 50%;
        border-right: 1px dotted #cccccc;
        padding: 25px;
        box-sizing: border-box;

        &:last-child {
          border-right: 0;
        }
      }

      .column-phone {
        ul {
          list-style-type: none;
          padding: 0;
          margin: 0;
        }
      }

      .column-misc {
        display: flex;
        justify-content: center;
        align-content: center;
        align-items: center;

        button.button {
          cursor: pointer;
          background-color: #ffffff;
          border: 1px solid #000000;
          padding: 18px;
          text-transform: uppercase;
          font-family: "Futura PT", sans-serif;
          font-size: 14px;
          color: #000000;
          display: block;

          &:hover {
            background-color: #000000;
            color: #ffffff;
          }
        }
      }
    }

    @media (max-width: 640px) {
      .layout-columns {
        display: block;

        .column {
          width: 100%;
          border-right: 0;
          border-bottom: 1px dotted #cccccc;

          &:last-child {
            border-bottom: 0;
          }
        }
      }
    }

    .layout-left {
      width: 50%;
      padding: 25px;
      flex-shrink: 0;
      border-right: 1px dotted #cccccc;
    }

    .layout-right {
      width: 50%;
      padding: 25px;
      flex-shrink: 0;
    }
  }
}
